# Uses of Enum
com.clickhouse.jdbc.parser.OperationType

Packages that use OperationType
Package
Description
com.clickhouse.jdbc.parser

## Uses of OperationType in com.clickhouse.jdbc.parser

Methods in com.clickhouse.jdbc.parser that return OperationType
Modifier and Type
Method
Description
`OperationType`
ClickHouseSqlStatement.`getOperationType()`
Deprecated.
`static OperationType`
OperationType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this type with the specified name.
`static OperationType[]`
OperationType.`values()`
Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared.